<?php

return array(

    /*
    |--------------------------------------------------------------------------
    | Views
    |--------------------------------------------------------------------------
    */

    'views' => array(
        'subscribers' => array(
            'index' => 'manager-subscribers::subscribers.index',
            'form'  => 'manager-subscribers::subscribers.form',
        ),
    ),

    /*
    |--------------------------------------------------------------------------
    | Controllers
    |--------------------------------------------------------------------------
    */

    'controllers' => array(
        'subscribers' => array(
            'index'          => 'EscapeWork\Manager\Subscribers\Controllers\SubscribersController@index',
            'create'         => 'EscapeWork\Manager\Subscribers\Controllers\SubscribersController@create',
            'store'          => 'EscapeWork\Manager\Subscribers\Controllers\SubscribersController@store',
            'edit'           => 'EscapeWork\Manager\Subscribers\Controllers\SubscribersController@edit',
            'update'         => 'EscapeWork\Manager\Subscribers\Controllers\SubscribersController@update',
            'destroy'        => 'EscapeWork\Manager\Subscribers\Controllers\SubscribersController@destroy',
            'export'         => 'EscapeWork\Manager\Subscribers\Controllers\SubscribersController@export',
        ),
    ),

    /*
    |--------------------------------------------------------------------------
    | Mailchimp API Keys
    |--------------------------------------------------------------------------
    */
   'mailchimp' => array(

        /*
        |--------------------------------------------------------------------------
        | Mailchimp API Key | /account/api/
        |--------------------------------------------------------------------------
        */
        'api_key' => null,

        /*
        |--------------------------------------------------------------------------
        | Mailchimp List ID - O ID da lista que deve ser exportada
        |--------------------------------------------------------------------------
        */
        'list_id' => null,
    ),

   /*
    |--------------------------------------------------------------------------
    | Campaign Monitor API Keys
    |--------------------------------------------------------------------------
    */
   'campaignmonitor' => array(

        /*
        |--------------------------------------------------------------------------
        | Campaign Monitor API Key | /account/api/
        |--------------------------------------------------------------------------
        */
        'api_key' => null,

        /*
        |--------------------------------------------------------------------------
        | Campaign Monitor List ID - O ID da lista que deve ser exportada
        |--------------------------------------------------------------------------
        */
        'list_id' => null,
    ),

);
