<?php
/*
|--------------------------------------------------------------------------
| Rotas do pacote escapework/manager-subscribers
|--------------------------------------------------------------------------
*/

Route::group(array('prefix' => Config::get('manager::url')), function()
{
    Route::group(array('before' => 'manager.auth'), function()
    {
        Route::get('contatos', array(
            'as'   => 'manager.subscribers.index',
            'uses' => Config::get('manager-subscribers::controllers.subscribers.index'))
        );

        Route::get('contatos/create', array(
            'as'   => 'manager.subscribers.create',
            'uses' => Config::get('manager-subscribers::controllers.subscribers.create'))
        );

        Route::post('contatos', array(
            'as'   => 'manager.subscribers.store',
            'uses' => Config::get('manager-subscribers::controllers.subscribers.store'))
        );

        Route::get('contatos/{id}/edit', array(
            'as'   => 'manager.subscribers.edit',
            'uses' => Config::get('manager-subscribers::controllers.subscribers.edit'))
        );

        Route::put('contatos/{id}', array(
            'as'   => 'manager.subscribers.update',
            'uses' => Config::get('manager-subscribers::controllers.subscribers.update'))
        );

        Route::delete('contatos/{id}', array(
            'as'   => 'manager.subscribers.destroy',
            'uses' => Config::get('manager-subscribers::controllers.subscribers.destroy'))
        );

        Route::get('contatos/exportar', array(
            'as'   => 'manager.subscribers.export',
            'uses' => Config::get('manager-subscribers::controllers.subscribers.export'))
        );
    });
});
